package request

import "log-server/model/log"

type IpLogListRequest struct {
	log.IpLogRequest
	PageInfo
	OrderKey string `json:"orderKey"` // 排序
	Desc     bool   `json:"desc"`     // 排序方式:升序false(默认)|降序true
}

type GameIpRequest struct {
	log.GameIpRequest
	PageInfo
	OrderKey string `json:"orderKey"` // 排序
	Desc     bool   `json:"desc"`     // 排序方式:升序false(默认)|降序true
}

//异常租机ip列表获取
type AbnormalIpLogListRequest struct {
	log.AbnormalIpLogRequest
	PageInfo
	OrderKey string `json:"orderKey"` // 排序
	Desc     bool   `json:"desc"`     // 排序方式:升序false(默认)|降序true
}